Skip to navigation

Retrieve a Buyer

Retrieve the details of an existing Buyer record.

Authentication

AuthorizationBearer

OAuth 2.0 client credentials. Exchange your API key and secret for a bearer token, then send it as Authorization: Bearer <token>.

Path parameters

buyerIdstringRequired
The ID of the Buyer to be returned.

Response headers

Content-TypestringOptional

application/json

Request-IdstringOptional
The unique ID for the API request.

Response

Successful operation
buyerIdstring<=36 characters
A unique Buyer ID that is created during the Buyer enrollment.
namestring<=40 characters

The legal name of the organization. Alphanumeric characters, special characters ([]?!|$:.-_@*%~#^£¢¤¬(),&) and spaces are allowed.

phonelist of objects

The phone details of the Buyer; currently supports only one phone. It can be displayed on the cards sent to the Suppliers via the email delivery method.

emaillist of objects

The email of the Buyer; currently supports only one email. It can be displayed on the cards sent to the Suppliers via the email delivery method.

addresslist of objects

The residential address of the Buyer; currently supports only one address. At least one address with a type of BUSINESS is required. A Buyer cannot have multiple addresses of the same type or same purpose. It can be displayed on the cards sent to the Suppliers via the email delivery method.

doingBusinessAsNamestringOptional<=100 characters

The Doing Business As (DBA) name of the Company. Alphanumeric characters, special characters ([]?!|$:.-_@*%~#^£¢¤¬(),&) and spaces are allowed.

governmentIdstringOptional<=20 characters

A government-provided identifier for the business, like a tax ID, that can be used for pulling spend or transactions for an entity for tax filing, accounting, and other related requirements. Only numeric characters are allowed.

Errors

400
Bad Request Error
401
Unauthorized Error
404
Not Found Error
500
Internal Server Error